#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qqwing
Version		:	1.3.4
Release		:	14.8.0.0%{?dist}
Summary		:	Command-line Sudoku solver and generator
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://qqwing.com/

Source0		:	 http://qqwing.com/%{name}-%{version}.tar.gz


#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	gcc-c++

Requires	:       %{name}-libs	=	%{version}-%{release}
#-----------------------------------------------------------------------------
%description
QQWing is Sudoku generating and solving software that
has been ported to 3 programming languages:
C++, Java, and JavaScript.
Various versions are available to run on different
platforms and different environments.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		libs
Summary		:	Library for Sudoku solving and generation
 
#-----------------------------------------------------------------------------
%description		libs
libqqwing is a C++ library for solving and
generating Sudoku puzzles.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/libqqwing.so.2*

#=============================================================================
%package		devel
Summary		:	Development files for libqqwing

#-----------------------------------------------------------------------------
Requires	:       %{name}-libs		=	%{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use libqqwing.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
